#!/bin/bash

export CUDA_VISIBLE_DEVICES=0

model_name=VIPER

declare -a pred_lens=( 96 192 336 720)
declare -a seq_lens=( 720)

for pred_len in "${pred_lens[@]}"; do
  for seq_len in "${seq_lens[@]}"; do
    cmd="python -u run.py \
      --task_name long_term_forecast \
      --is_training 1 \
      --root_path ./dataset/ETT-small/ \
      --data_path ETTh1.csv \
      --model_id "ETTh1_${seq_len}_${pred_len}" \
      --model "$model_name" \
      --data ETTh1 \
      --features M \
      --seq_len "$seq_len" \
      --pred_len "$pred_len" \
      --enc_in 7 \
      --dec_in 7 \
      --c_out 7 \
      --des 'Exp' \
      --itr 1 \
      --train_epochs 24 \
      --batch_size 32 \
      --learning_rate 2.5e-5"


    if [ "$seq_len" -eq 720 ] && [ "$pred_len" -eq 96 ]; then
      cmd="$cmd --train_epochs 5"
    fi
    if [ "$seq_len" -eq 720 ] && [ "$pred_len" -eq 192 ]; then
      cmd="$cmd --train_epochs 4"
    fi
    if [ "$seq_len" -eq 720 ] && [ "$pred_len" -eq 336 ]; then
      cmd="$cmd --train_epochs 2"
    fi
    if [ "$seq_len" -eq 720 ] && [ "$pred_len" -eq 720 ]; then
      cmd="$cmd --train_epochs 4"
    fi

    eval $cmd
  done
done
